<?php
header('Access-Control-Allow-Origin: *');
header("Access-Control-Allow-Methods: HEAD, GET, POST, PUT, PATCH, DELETE, OPTIONS");
header("Access-Control-Allow-Headers: X-API-KEY, Origin, X-Requested-With, Content-Type, Accept, Access-Control-Request-Method,Access-Control-Request-Headers, Authorization");
header('Content-Type: application/json');
$method = $_SERVER['REQUEST_METHOD'];
if ($method == "OPTIONS") {
    header('Access-Control-Allow-Origin: *');
    header("Access-Control-Allow-Headers: X-API-KEY, Origin, X-Requested-With, Content-Type, Accept, Access-Control-Request-Method,Access-Control-Request-Headers, Authorization");
    header("HTTP/1.1 200 OK");
    die();
}

require '../../../../config/db.php';
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $data = json_decode(file_get_contents('php://input'));
    if (!empty($data->subcategory)) {
        $subcategory = $data->subcategory;
        $categoryId = $data->categoryId;
        $status = 1;
        $isFeatured = 0;
        $dateTime = date("Y-m-d H:i:s");
        // $isExistQuery = "SELECT * FROM Subcategories WHERE Subcategory = '$subcategory' ";
        // if (mysqli_num_rows(mysqli_query($con, $isExistQuery)) == 0) {
            $query = "INSERT INTO Subcategories (`SubcategoryId`,`CategoryId`,`Subcategory`,`Status`,`IsFeatured`,`DateCreated`,`DateModified`) VALUES (null,'$categoryId','$subcategory','$status','$isFeatured','$dateTime','$dateTime');";
            if (mysqli_query($con, $query)) {
                if (mysqli_affected_rows($con) == 1) {
                    echo json_encode([
                        'status' => 1,
                        'message' => 'Data inserted successfully.'
                    ]);
                    http_response_code(200);
                } else {
                    echo json_encode([
                        'status' => 0,
                        'message' => 'Could not insert data.'
                    ]);
                    http_response_code(200);
                }
            }
        // } else {
        //     echo json_encode([
        //         'status' => -2,
        //         'message' => 'Data already exists'
        //     ]);
        //     http_response_code(200);
        // }
    } else {
        echo json_encode([
            'status' => -1,
            'message' => 'Required fields are missing'
        ]);
        http_response_code(200);
    }
} else {
    echo json_encode([
        'status' => -1
    ]);
    die();
}
